org.richfaces.component

## Enum UIJQuery.Properties

- java.lang.Object
- - java.lang.Enum<UIJQuery.Properties>
  - - org.richfaces.component.UIJQuery.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIJQuery.Properties>
  Enclosing class:
    UIJQuery

      protected static enum UIJQuery.Properties
      extends Enum<UIJQuery.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `attachType`
    `event`
    `name`
    `query`
    `selector`
    `timing`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIJQuery.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIJQuery.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### attachType

          public static final UIJQuery.Properties attachType

    - #### event

          public static final UIJQuery.Properties event

    - #### name

          public static final UIJQuery.Properties name

    - #### query

          public static final UIJQuery.Properties query

    - #### selector

          public static final UIJQuery.Properties selector

    - #### timing

          public static final UIJQuery.Properties timing

  - ### Method Detail

    - #### values

          public static UIJQuery.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIJQuery.Properties c : UIJQuery.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIJQuery.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.